﻿// Copyright (C) 2008 - 2011 CASIO Europe GmbH
//
// This file is part of SoftkeysWM.
//
// SoftkeysWM is provided AS IS for educational purposes only,
// with no warranties, and confers no rights. Error checking is 
// elided for clarity. Carry out sufficient tests prior to using
// it in a productive environment.
// CASIO Europe GmbH accepts no responsibility for loss or damage
// arising from its use, including damage from virus.
//
// Please, note: This configuration information may be changed
// without any further notice.
// Casio Europe GmbH does not guarantee future compatibility. By 
// using this software you agree to these terms and conditions.
//
// System Requirements: Windows Mobile 6.x
// See also http://msdn.microsoft.com/en-us/library/bb431750.aspx
//
// Version 1.0.0.0
///////////////////////////////////////////////////////////////////

using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WiMoKeyMapping
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void menuLeft_Click(object sender, EventArgs e)
        {
            this.statusBar.Text = "Left Softkey";
        }

        private void menuRight_Click(object sender, EventArgs e)
        {
            this.statusBar.Text = "Right Softkey";
        }

        private void button1_Click(object sender, EventArgs e)
        {
            KeyboardEmulation.VkTSoft1();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            KeyboardEmulation.VkTSoft2();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            KeyboardEmulation.VkTTalk();
            this.statusBar.Text = "VK_TTALK";
        }

        private void button4_Click(object sender, EventArgs e)
        {
            KeyboardEmulation.VkTEnd();
            this.statusBar.Text = "VK_TEND";
        }

        private void button5_Click(object sender, EventArgs e)
        {
            KeyboardEmulation.VkTVolumeUp();
            this.statusBar.Text = "VK_TVOLUMEUP";
        }

        private void button6_Click(object sender, EventArgs e)
        {
            KeyboardEmulation.VkTVolumeDown();
            this.statusBar.Text = "VK_TVOLUMEDOWN";
        }

        private void button7_Click(object sender, EventArgs e)
        {
            KeyboardEmulation.VkEndAllDataCalls();
            this.statusBar.Text = "VK_END_ALL_DATA_CALLS";
        }

        private void button8_Click(object sender, EventArgs e)
        {
            KeyboardEmulation.VkTHome();
            this.statusBar.Text = "VK_THOME";
        }

        private void button9_Click(object sender, EventArgs e)
        {
            KeyboardEmulation.VkDone();
        }

        private void button10_Click(object sender, EventArgs e)
        {
            KeyboardEmulation.VkKeyLock();
            this.statusBar.Text = "VK_KEYLOCK";
        }
    }
}